%define __python %{__python3}

Name:           rhui-cds-plugin-authorizer-cert
Version:        1.0.6
Release:        1%{?dist}
Summary:        Content certificate authentication plugin for RHUI CDS nodes

Group:          Applications/System
License:        GPLv3+ and ASL 2.0
Source:         %{name}-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildArch:      noarch
BuildRequires:  python3-setuptools
Requires:       python36
Requires:       python3-gunicorn
Requires:       rhui-cds-plugin-authorizer

%description
Performs authentication based on the client content certificate.

%prep
%setup -q -n rhui-cds-plugin-authorizer-cert-%{version}

%build
pushd src
%py3_build
popd

%install
pushd src
%py3_install
popd
find $RPM_BUILD_ROOT -name '*.pyc' -delete
rm -f $RPM_BUILD_ROOT/usr/lib/python3.6/site-packages/rhui_cds_plugin/__init__.py
rm -f $RPM_BUILD_ROOT/usr/lib/python3.6/site-packages/rhui_cds_plugin/authorizer_plugin/__init__.py

%files
%defattr(-,root,root,-)
%{python_sitelib}/rhui_cds_plugin
%{python_sitelib}/rhui_cds_plugin_authorizer_cert-*.egg-info/*

%clean
rm -rf %{buildroot}

%changelog
* Wed Jul 20 2022 Sebastian Skracic <sskracic@redhat.com> 1.0.6-1
- Cleanup ssl flags maintained in rhui-tools.conf and unify certificate
  variable naming (jvlcek@redhat.com)

* Fri Jun 24 2022 Sebastian Skracic <sskracic@redhat.com> 1.0.5-1
- RHUI-255: make some content prefixes configurable (sskracic@redhat.com)

* Thu Jun 02 2022 Sebastian Skracic <sskracic@redhat.com> 1.0.4-1
- RHUI-185: Container content support! (sskracic@redhat.com)

* Thu Mar 10 2022 Sebastian Skracic <sskracic@redhat.com> 1.0.3-1
- Since exception was not openssl error in case of invalid certificate, False
  was never returned. (mminar@redhat.com)
- Only consider legacy CA if there is one. (mminar@redhat.com)
- Separating legacy check from main CA. (mminar@redhat.com)
- Implementing legacy_CA support. (mminar@redhat.com)

* Tue Jan 25 2022 Sebastian Skracic <sskracic@redhat.com> 1.0.2-1
- CDS authorizer-cert is using wrong field from rhui-tools.conf to load RHUI CA
  cert. (mminar@redhat.com)

* Wed Jul 21 2021 Sebastian Skracic <sskracic@redhat.com> 1.0.1-1
- new package built with tito

